﻿* {
    margin: 0;
    padding: 0;
    /*去掉默认的内外边距*/
}

body {
    width: 100%;
    height: 100%;
    user-select: none; /*禁止网页中的内容被选中*/
    overflow-x: hidden; /*设置水平滚动条，溢出overflow的值为：hidden,visible,scroll，auto */
    overflow-y: hidden; /*设置垂直滚动条,*/
    font-size: 13px; /*字体具有继承性*/
}


/*标签块, 每个页面都有标题行*/
#divTitle {
    margin: 0 auto;
    height: 20px;
    padding: 20px 0 6px 0;
    margin: 10px 0 6px 0;
    color: silver;
    border-bottom: 1px solid gray;
}

/*标题前面的图片样式*/
  #divTitle > img {
            vertical-align: bottom;
            margin-right: 4px;
        }


/*出错元素后面的提示样式*/
.field-validation-error {
    color: red;
    margin-right: 4px;
}

/*超链接样式*/
a {
    color: blue; /*文字的颜色*/
    text-decoration: none; /*设置文本的下划线*/
}

    a:hover {
        color: red; /*文字的颜色*/
        text-decoration: underline; /*设置文本的下划线*/
    }

/*dropdownlist样式*/
select {
    color: purple;
    font-weight: bold;
    margin-left: 6px;
    margin-right: 10px;
    min-height: 20px;
    min-width: 50px;
    padding-top: 2px;
    padding-bottom: 4px;
    font-size: 13px; /*字体具有继承性*/
}
    select > option {
     color: purple;
    }

/*文本框与密码框使用的样式*/
input[type=text], input[type=password], textarea {
    width: 150px;
    height: 25px;
    margin: 0 6px; /*顺序为：上、右、下、左*/
    padding-bottom: 4px;
    padding-left: 4px;
    font-size: 15px;
    color: purple;
    font-weight: bold;
    background-color: silver;
    border-left: 2px inset gray;
    border-top: 2px inset gray;
    border-right: 1px inset gray;
    border-bottom: 1px inset gray;
    outline: none; /*清除轮廓（边框外的边框）*/
}

    /*文本框获得焦点的样式*/
    input[type=text]:focus, input[type=password]:focus, textarea:focus {
        background-color: white;
        border-right: 1px solid green;
        border-bottom: 1px solid green;
        color: fuchsia;
    }

/*文本开启汉字输入法*/
.txtChinese {
    ime-mode: active;
}

/*文本关闭汉字输入法*/
.txtEnglish {
    ime-mode: disabled;
}

/*按钮样式*/
input[type=button], input[type=submit], button {
    border-radius: 6px;
    min-width: 80px;
    height: 35px;
    background-color: white;
    margin-left: 2px;
    cursor: pointer;
    font-size: 13px; /*字体具有继承性*/
}

/*蓝色按钮样式*/
.btnBlue {
    color: blue;
    border: 1px solid green;
}

    .btnBlue:hover, .btnBlue:focus {
        background-color: green;
        color: white;
    }

/*红色按钮样式*/
.btnRed {
    color: red;
    border: 1px solid red;
}

    .btnRed:hover, .btnRed:focus {
        background-color: red;
        color: white;
    }

    /*所有label标签的样式*/
    label {
    margin-left: 6px;
}
